package mockbrokerdriver

import (
	"query-service/internal/adapters/brokeradapter"
	"query-service/internal/drivers/brokerdriver"
)

type Driver struct {
	gateway brokeradapter.GatewayInterface
}

func CreateBroker(gateway brokeradapter.GatewayInterface) *Driver {
	return &Driver{
		gateway: gateway,
	}
}

func (d *Driver) CreateConsumer() brokerdriver.Consumer {
	return &Consumer{
		broker: d,
	}
}
